Bug 233927 - I20 driver failure on Adaptec IDE 1200 RAID Card after 2.6.15
I20 driver failure on Adaptec IDE 1200 RAID Card after 2.6.15
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-25 18:25 EDT by Ann Gover
Modified: 2008-05-06 15:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ann Gover 2007-03-25 18:25:16 EDT
Description of problem:
Fedora Core 5 vanilla kernel 2.6.15 allows use of i2o driver to control 
Adaptec 1200 series IDE RAID Card (using BIOS version 1.62 as of 11/6/02 -- 
last BIOS update they have).  Upon installation of newest core 2.6.20-
1.2307.fc5, the i2o driver fails to work correctly.

Error provided upon rebooting to new Kernel load is "Buffer I/O on device 
i20/hda logical block 0".  It then fails to load any of the RAID or drives or 
allow access.  Fedora Core 6 is worse in that the i2o driver will not even 
recognize the RAID array.



Version-Release number of selected component (if applicable):
2.6.15 original to upgrade to 2.6.20-1.2307.fc5

How reproducible:
upgrade kernel with this hardware device and error is duplicatable each time.

Steps to Reproduce:
1.  Use FC5 2.6.15 and setup Card using i2o driver
2.  Create partition and file
3.  Upgrade to newest kernal and reboot -- RAID card i2o will fail
  
Actual results:


Expected results:


Additional info:
Comment 1 Ann Gover 2007-03-27 17:03:32 EDT
I have tested with fc5 kernel 2.6.16.18.1.22.57.fc5 and the i2o driver still
works correctly.  On kernel's 2.6.16.19 - 2.6.16.20 the i2o driver fails to load
the RAID correctly and the kernel fails.
Comment 2 Bug Zapper 2008-04-04 02:40:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:24:58 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.